Bug 1023008 - virtuoso-opensource: undeclared bundling
virtuoso-opensource: undeclared bundling
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtuoso-opensource (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Tinkl
BaseOS QE - Apps
:
Depends On:
Blocks: 1022494
  Show dependency treegraph
 
Reported: 2013-10-24 08:53 EDT by Florian Weimer
Modified: 2015-07-13 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-03 09:19:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-24 08:53:50 EDT
virtuoso-opensource bundles PCRE and tidy (the HTML parser).  They are not only compiled during the build process, but also end up in the /usr/bin/virtuoso-t binary:

[fweimer@localhost ~]$ strings -a /usr/bin/virtuoso-t | egrep 'PCRE_|see www.w3.org'
HTML Tidy, see www.w3.org
this version of PCRE is not compiled with PCRE_UTF8 support
[fweimer@localhost ~]$ 

At least for PCRE, the system library should be used.
Comment 2 Lukáš Tinkl 2013-10-24 15:30:29 EDT
We will investigate this further but experience from SUSE folks (who tried to use the system pcre libs) tells us they got severe runtime problems :/
Comment 3 Lukáš Tinkl 2014-03-03 09:19:40 EST
Closing as CANTFIX based on comment #2

Note You need to log in before you can comment on or make changes to this bug.